Bug 444158 - Review Request: sugar-journal - Journal activity for sugar
Review Request: sugar-journal - Journal activity for sugar
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tom "spot" Callaway
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2008-04-25 10:42 EDT by Dennis Gilmore
Modified: 2008-07-03 13:31 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-05-01 22:05:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tcallawa: fedora‑review+
dennis: fedora‑cvs+

Attachments (Terms of Use)
updated spec (4.43 KB, text/plain)
2008-04-25 12:08 EDT, Tom "spot" Callaway
no flags Details

  None (edit)
Description Dennis Gilmore 2008-04-25 10:42:22 EDT
Spec URL: http://ausil.us/packages/sugar-journal.spec
SRPM URL: http://ausil.us/packages/sugar-journal-79-1.fc9.src.rpm
Description: Journal activity for sugar.
Comment 1 Tom "spot" Callaway 2008-04-25 12:08:38 EDT
Created attachment 303796 [details]
updated spec

OK, I made a few changes:

- Since the locale files aren't in /usr/share/locale, you can't use find_lang
to pick up the mo files, you're going to have to manually split them out. This
will make the %files section a bit more complex for sugar packages, you might
consider making a modified find_lang script that finds these and generates a
proper file list (%find_sugar_lang).

- I set chmod +x on setup.py (not sure why that gets installed, but whatever)
to silence rpmlint

- You don't need to double package NEWS, the installer puts it in the activity
directory, so just mark it as %%doc.
Comment 2 Tom "spot" Callaway 2008-04-25 12:09:13 EDT
If that spec looks ok to you, let me know, and I'll finish the review.
Comment 3 Dennis Gilmore 2008-04-25 12:42:59 EDT
Spec looks good to me.
Comment 4 Tom "spot" Callaway 2008-04-25 14:05:30 EDT

- rpmlint checks return:

    * sugar-journal.noarch: W: non-standard-group Sugar/Activities
    * sugar-journal.src: W: non-standard-group Sugar/Activities
    * sugar-journal.src: W: strange-permission sugar-journal-checkout.sh 0775

All safe to ignore.

- package meets Sugar naming guidelines
- package meets Sugar packaging guidelines
- license (GPLv2+) OK, copy of license not in source, matches source code
- spec file legible, in am. english
- source generated with included script
- package compiles on devel (x86_64)
- no missing BR
- no unnecessary BR
- no locales
- not relocatable
- owns all directories that it creates
- no duplicate files
- permissions ok
- %clean ok
- macro use consistent
- code, not content
- no need for -docs
- nothing in %doc affects runtime
- no need for .desktop file 

APPROVED (please make sure the new sugar-toolkit package is tagged and in the
repodata before rebuilding)
Comment 5 Dennis Gilmore 2008-04-28 12:48:19 EDT
Package Name: sugar-journal
Short Description: Journal Activity for the sugar desktop
Owners: ausil
Branches: F-9 F-8 
Cvsextras Commits: yes
Comment 6 Dennis Gilmore 2008-04-28 12:48:35 EDT
cvs done 
Comment 7 Dennis Gilmore 2008-05-01 22:05:16 EDT
Built for F-9 
Comment 8 Tomeu Vizoso 2008-07-03 09:23:33 EDT
Package Change Request
Package Name: sugar-journal
New Branches: OLPC-3
Comment 9 Dennis Gilmore 2008-07-03 13:31:18 EDT
I am denying this request it is unneeded.  Tomeu, please ensure that you speak
with the package maintainer before requesting branches for OLPC-3

Note You need to log in before you can comment on or make changes to this bug.